routes/admin.php
<?php

Route::get('/', 'HomeController@index')->name('dashboard');

Route::get('/department/data', 'DataController@departments')->name('department.data');

Route::get('/booking/data', 'DataController@booking')->name('booking.data');
Route::resource('booking', 'BookingController');
Route::post('booking/{id}', 'BookingController@confirm')->name('booking.confirm');
Route::get('/print/bookings','BookingController@printAllBooking')->name('booking.printall');

Route::get('/private-office-request/data', 'DataController@privateOfficeRequest')->name('private-office-request.data');
Route::resource('private-office-request', 'PrivateOfficeRequestController');

Route::get('/category/data', 'DataController@category')->name('category.data');
Route::get('/category/dataTrashed', 'DataController@categoryTrashed')->name('category.dataTrashed');
Route::resource('category', 'CategoryController');
Route::get('category-trashed', 'CategoryController@indexTrashed')->name('category.trashed');
Route::get('category-trashed-restore/{id}', 'CategoryController@restore')->name('category.restore');


Route::get('/plan/data', 'DataController@plan')->name('plan.data');
Route::get('/plan/dataTrashed', 'DataController@planTrashed')->name('plan.dataTrashed');
Route::get('/myplan/data', 'DataController@myplan')->name('myplan.data');
Route::resource('plan', 'PlanController');
Route::get('plan-trashed', 'PlanController@indexTrashed')->name('plan.trashed');
Route::get('plan-trashed-restore/{id}', 'PlanController@restore')->name('plan.restore');

Route::get('/payment/data', 'DataController@payment')->name('payment.data');

Route::get('/user/data', 'DataController@users')->name('user.data');
Route::resource('user', 'UserController');
Route::get('/useremployee', 'UserController@indexEmployee')->name('user.employee');
Route::get('/print/invoice/{id}','BookingController@printInvoiceAdmin')->name('booking.invoice');

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
});

Route::get('/search-coworking',  'User\BookingController@searchSchedule');

Route::post('/private-office-message',  'User\BookingController@submitPrivateOffice')->name('private-office-message');

Route::middleware('web', 'auth')->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('user-dashboard');

    Route::get('/myplans', function () {
        return view('user.myplan.index');
    })->name('user-myplan');

    Route::get('/myplans/e-voucher/{id}','User\BookingController@evoucher')->name('user-myplan-evoucher');
    Route::get('/print/e-voucher/{id}','User\BookingController@printEvoucher')->name('user-print-evoucher');

    Route::get('/payments', function () {
        return view('user.payments.index');
    })->name('user-payment');

    Route::get('/payments/invoice/{id}','User\PaymentController@invoice')->name('user-payment-invoice');
    Route::get('/print/invoice/{id}','User\PaymentController@printInvoice')->name('user-print-invoice');

    Route::post('/pay', 'User\PaymentController@payFromPaymentList')->name('user-pay');
    Route::post('/upload-payment-proof', 'User\PaymentController@uploadPaymentProof')->name('user-upload-payment-proof');

    Route::get('/services', 'User\BookingController@service')->name('user-services');

});

Route::get('/basket', function(){
    // check auth
    if(!Auth::check()){
        return redirect()->intended('login');
    }
    
    return redirect()->route('user-services');
})->name('user-basket');

Route::post('/basket', 'User\BookingController@basket')->name('user-basket');

Route::get('/proceedpayment', function(){
    // check auth
    if(!Auth::check()){
        return redirect()->intended('login');
    }
    
    return redirect()->route('user-services');
})->name('user-proceedpayment');

Route::post('/proceedpayment', 'User\BookingController@proceedPayment')->name('user-proceedpayment');





Auth::routes(['verify' => true]);

app/Models/PrivateOfficeRequest.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PrivateOfficeRequest extends Model
{
    //
    protected $guarded = [];

    protected $filled = [
        'name',
        'phone',
        'company_name',
        'capacity',
        'start_date',
        'message'
    ];


    // get list private office request
    public static function getList()
    {
        return self::orderBy('created_at', 'desc')->get();
    }

    // create private office request
    public function createPrivateOffice()
    {
        $privateOffice = new PrivateOfficeRequest();
        $privateOffice->user_id = $this->user_id;
        $privateOffice->name = $this->name;
        $privateOffice->phone = $this->phone;
        $privateOffice->company_name = $this->company_name;
        $privateOffice->capacity = $this->capacity;
        $privateOffice->start_date = $this->start_date;
        $privateOffice->message = $this->message;
        $privateOffice->save();

        return $privateOffice;
    }

    // update private office request
    public function updatePrivateOffice()
    {
        $privateOffice = PrivateOfficeRequest::find($this->id);
        $privateOffice->user_id = $this->user_id;
        $privateOffice->name = $this->name;
        $privateOffice->phone = $this->phone;
        $privateOffice->company_name = $this->company_name;
        $privateOffice->capacity = $this->capacity;
        $privateOffice->start_date = $this->start_date;
        $privateOffice->message = $this->message;
        $privateOffice->save();

        return $privateOffice;
    }

    // delete private office request

    public function deletePrivateOffice()
    {
        $privateOffice = PrivateOfficeRequest::find($this->id);
        $privateOffice->delete();

        return $privateOffice;
    }





}

app/Http/Controllers/Admin/PrivateOfficeRequestController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Booking;
use App\Models\Category;
use App\Models\PrivateOfficeRequest;
use Auth;
use Carbon\Carbon;
use Error;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
use Spatie\Permission\Models\Role;
use Illuminate\Support\Str;

class PrivateOfficeRequestController extends Controller
{

    public function __construct()
    {
        // $this->middleware("permission:read booking")->only(["index"]);
        // $this->middleware("permission:create booking")->only(["create", "store"]);
        // $this->middleware("permission:update booking")->only(["edit", "update"]);
        // $this->middleware("permission:delete booking")->only(["destroy"]);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('admin.privateofficerequest.index', [
            'title' => 'Private Office | Techpolitan',
            'isRecycleBin' => false,
        ]);
    }

    public function indexTrashed()
    {
        return view('admin.privateofficerequest.index', [
            'title' => 'Private Office | Techpolitan',
            'isRecycleBin' => true,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(PrivateOfficeRequest $p)
    {

       
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(PrivateOfficeRequest $p, $id)
    {

        $privateofficerequest = PrivateOfficeRequest::find($id);
        $privateofficerequest->delete();

        return redirect()->route('admin.private-office-request.index')->with('danger', 'Data Berhasil Dihapus');
    }

}

resources/views/admin/privateofficerequest/action.blade.php
<button href="{{ route('admin.private-office-request.destroy', $model) }}" class="btn btn-danger" id="delete"><i class="fa fa-trash"></i></button>


<script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
<script>
    $('button#delete').on('click', function(e) {
        e.preventDefault();

        var href = $(this).attr('href');

        Swal.fire({
            title: 'Apakah Yakin Hapus Data?',
            text: "Data yang sudah dihapus tidak akan kembali!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Hapus'
        }).then((result) => {
            if (result.value) {
                console.log(href);

                document.getElementById('deleteForm').action = href;
                document.getElementById('deleteForm').submit();

                Swal.fire(
                    'Terhapus',
                    'Data kamu berhasil dihapus',
                    'success'
                )
            }
        })
    })

</script>

resources/views/admin/privateofficerequest/create.blade.php
@extends('admin.template.default')

@section('content')

<section class="content-header">
    <h1>
      Plan <small>Tambah Data</small>
    </h1>
    <ol class="breadcrumb">
    <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
    <li><a href="{{ route('admin.plan.index') }}"></i> Plan</a></li>
      <li class="active">Tambah Data Plan</li>
    </ol>
  </section>

<section class="content">
    <div class="row">
        <div class="col-md-12">
            <!-- Horizontal Form -->
            <div class="box box-info">
            <div class="box-header with-border">
                <h3 class="box-title">Tambah Data Plan</h3>
            </div>
            <!-- /.box-header -->
            <!-- form start -->

            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            <!-- form multipart -->

            <form class="form-horizontal" action="{{ route('admin.plan.store')}}" method="POST"  enctype="multipart/form-data">
                @csrf
                <div class="box-body">
                    <div class="form-group @error('name') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Plan Name</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="name" placeholder="Masukan Nama User" value="{{ old('name') }}">
                            @error('name')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('price') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Price</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" name="price" placeholder="Masukan Price" value="{{ old('price') }}">
                            @error('price')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <div class="box-body">
                    <div class="form-group @error('pax') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Daily Max Pax</label>

                        <div class="col-sm-10">
                            <input type="number" class="form-control" name="pax" placeholder="Masukan Max Pax" value="{{ old('pax') }}" />
                            @error('pax')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- image field -->

                <div class="box-body">
                    <div class="form-group @error('image') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Image</label>

                        <div class="col-sm-10">
                            <input type="file" class="form-control" name="image" placeholder="Masukan Image" value="{{ old('image') }}" />
                            @error('image')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- category field -->
                <div class="box-body">
                    <div class="form-group @error('category_id') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Category</label>

                        <div class="col-sm-10">
                            <select name="category_id" class="form-control">
                                <option value="">Pilih Category</option>
                                @foreach ($categories as $category)
                                    <option value="{{ $category->id }}">{{ $category->name }}</option>
                                @endforeach
                            </select>
                            @error('category_id')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- description field -->
                <div class="box-body">
                    <div class="form-group @error('description') has-error @enderror">
                        <label for="" class="col-sm-2 control-label">Description</label>

                        <div class="col-sm-10">
                            <textarea class="form-control" name="description" placeholder="Masukan Description">{{ old('description') }}</textarea>
                            @error('description')
                                <span class="help-block">{{ $message }}</span>
                            @enderror
                        </div>
                    </div>
                </div>

                <!-- /.box-body -->
                <div class="box-footer">
                <button type="submit" class="btn btn-info">Tambah Data</button>
                </div>
                <!-- /.box-footer -->
            </form>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
@endsection

@push('script')
<script src="{{ asset('admin/plugins/bs-notify.min.js') }}"></script>

@include('admin.template.partials.alert')

@endpush

resources/views/admin/privateofficerequest/edit.blade.php
<!-- edit plan page -->

@extends('admin.template.default')

@section('content')

<section class="content-header">
    <h1>
        Plan <small>Edit Data</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
        <li><a href="{{ route('admin.plan.index') }}"></i> Plan</a></li>
        <li class="active">Edit Data Plan</li>
    </ol>
</section>


<section class="content">
    <div class="row">
        <div class="col-md-12">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Edit Data Plan</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" action="{{ route('admin.plan.update', $plan->id) }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    @method("PUT")
                    <!-- input hidden id -->
                    <input type="hidden" name="id" value="{{ $plan->id }}">
                    <div class="box-body">
                        <div class="form-group @error('name') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Plan Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="name" placeholder="Masukan Nama User" value="{{ $plan->name }}">
                                @error('name')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>

                    <div class="box-body">
                        <div class="form-group @error('price') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Price</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="price" placeholder="Masukan Price" value="{{ $plan->getRawOriginal('price') }}">
                                @error('price')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>
                    

                    <!-- pax field -->
                    <div class="box-body">
                        <div class="form-group @error('pax') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Daily Max Pax</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="pax" placeholder="Masukan Pax" value="{{ $plan->pax }}">
                                @error('pax')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>

                    <!-- image field and show last image -->
                    <div class="box-body">
                        <div class="form-group @error('image') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Image</label>

                            <div class="col-sm-10">
                                <input type="file" class="form-control" name="image" placeholder="Masukan Image" value="{{ $plan->image }}">
                                @error('image')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                            <!-- show last image from db -->
                            <div class="col-sm-2">

                            </div>

                            <div class="col-sm-10">
                            @if($plan->image)
                            <img src="{{asset('images/plan')}}/{{$plan->slug}}/{{$plan->image}}" width="200px" alt="">
                            @endif
                            </div>
                            
                        </div>
                    </div>
                    
                    <!-- category id field  -->
                    <div class="box-body">
                        <div class="form-group @error('category_id') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Category</label>

                            <div class="col-sm-10">
                                <select name="category_id" class="form-control">
                                    <option value="">Pilih Category</option>
                                    @foreach ($categories as $category)
                                    <option value="{{ $category->id }}" {{ $plan->category_id == $category->id ? 'selected' : '' }}>{{ $category->name }}</option>
                                    @endforeach
                                </select>
                                @error('category_id')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>

                     <!-- description field -->
                     <div class="box-body">
                        <div class="form-group @error('description') has-error @enderror">
                            <label for="" class="col-sm-2 control-label">Description</label>

                            <div class="col-sm-10">
                                <textarea class="form-control" name="description" placeholder="Masukan Description">{{ $plan->description }}</textarea>
                                @error('description')
                                <span class="help-block">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>

                    <!-- /.box-body -->
                    <div class="box-footer">
                        <button type="submit" class="btn btn-info">Submit</button>
                        <a href="{{ route('admin.plan.index') }}" class="btn btn-default">Cancel</a>
                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
            <!-- /.box -->
        </div>
        <!-- /.col -->
    </div>
    <!-- /.row -->
</section>


@endsection

resources/views/admin/privateofficerequest/index.blade.php
@extends('admin.template.default')

@section('content')

<section class="content-header">
  <h1>
    Private Office Request @if($isRecycleBin) <small>Recycle Bin</small> @endif
  </h1>
  <ol class="breadcrumb">
  <li><a href="{{ route('admin.dashboard') }}"><i class="fa fa-dashboard"></i> Home</a></li>
    <li class="active">Private Office Request</li>
  </ol>
</section>

<section class="content">
    <div class="row">
      <div class="col-xs-12">
        <div class="box">
          <div class="box-header">
            <h3 class="box-title">Request Data</h3>

            <div style="float: right!important">

              <!-- <a href="#" class="btn btn-primary btn-sm"><i class="fa fa-excel"></i>Download Excel</a> -->

            </div>

          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <table id="dataTable" class="table table-bordered table-hover">
              <thead>
              <tr>
                <th>#</th>
                <th>Name</th>
                <th>Phone</th>
                <th>Company</th>
                <th>Capacity</th>
                <th>Start Date</th>
                <th>Message</th>
                <th>Action</th>
              </tr>
              </thead>

              <tbody>

              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
</section>

@endsection

<form action="" method="post" id="deleteForm">
  @csrf
  @method("DELETE")
  <input type="submit" value="Hapus" style="display: none">
</form>


@push('script')

    <script src="{{ asset('admin/plugins/bs-notify.min.js') }}"></script>

    @include('admin.template.partials.alert')

    <script>
        $(function() {
          $('#dataTable').DataTable({
            processing: true,
            serverSide: true,
            ajax: '{{route('admin.private-office-request.data')}}' ,
            columns: [
              { data: 'DT_RowIndex', orderable: false, searchable: false },
              { data: 'name' },
              { data: 'phone' },
              { data: 'company_name' },
              { data: 'capacity' },
              { data: 'start_date' },
              { data: 'message' },
              { data: 'action' }
              
            ]
          })
        })
    </script>

@endpush